Summary:	Convert a username/group name to a UID/GID number
Name:		nodejs-uid-number
Version:	0.0.5
Release:	1
License:	ISC
Group:		Development/Libraries
URL:		https://github.com/isaacs/uid-number
Source0:	http://registry.npmjs.org/uid-number/-/uid-number-%{version}.tgz
# Source0-md5:	0fd62d3dae10069c234338fd1ffd0887
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert a username/group name to a UID/GID number

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{nodejs_libdir}/uid-number
cp -pr *.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/uid-number

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/uid-number
%changelog
* Mon Mar 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-uid-number.git;a=log;h=master

* Mon Mar 03 2014 Łukasz Kieś <kiesiu@pld-linux.org> 9f81237
- updated to 0.0.5
- correct license - ISC

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> cf3ef86
- G: Development/Libraries

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> c705381
- BR build macros

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> 0afa192
- new,
  based on src.rpm from http://nodejs.tchol.org/ repo

